#!/bin/bash

# arguments_q=(50 100 200)  # List of values for the -q argument
# arguments_k=(2 3 4)  # List of values for the -k argument

betas=(0.5) # List of values for the -B argument
# arguments_q=(200)  # List of values for the -q argument
arguments_q=(5 10 50 100 200)
arguments_k=(1 2 3 4 5)  # List of values for the -k argument
# arguments_mu=(0.0001 0.0002 0.0004 0.0006 0.0008) # List of values for the -m argument
arguments_mu=(0.0001 0.001 0.01 0.1)
# arguments_mu=(0.01 0.02 0.04 0.06 0.08 0.1)
# arguments_mu=(0.02 0.025 0.03 0.035 0.04)
# arguments_mu=(0.034 0.0345 0.035 1 2 3 10)
# arguments_mu=(0.0001 0.1)

for q in "${arguments_q[@]}"; do
  for k in "${arguments_k[@]}"; do
    for b in "${betas[@]}"; do
      for mu in "${arguments_mu[@]}"; do
        bash ./run_once.sh $q $k 'unit' $b $mu
      done
    done
  done
done

# Wait for all background processes to finish
wait
